Bug 6774 - smbd crashes if "aio write behind" is set.
smbd crashes if "aio write behind" is set.
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: File services
3.4.0
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-30 15:24 UTC by Jeremy Allison
Modified: 2009-10-12 03:48 UTC (History)
0 users

See Also:


Attachments
git-am format patch for 3.4.x. (770 bytes, patch)
2009-09-30 15:26 UTC, Jeremy Allison
vl: review+
Details
git-am patch for 3.4.3 (829 bytes, patch)
2009-10-09 12:11 UTC, Jeremy Allison
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2009-09-30 15:24:11 UTC
Pointer reference after talloc_move() called on it.
Git log 325baf37fffde738dcbb37a096d79f07b23586b2 from master needs cherry-picking into 3.4.x.

Jeremy.
Comment 1 Jeremy Allison 2009-09-30 15:26:21 UTC
Created attachment 4768 [details]
git-am format patch for 3.4.x.

I'll re-assign to Karolin for inclusion once this has passed review.
Jeremy.
Comment 2 Volker Lendecke 2009-10-01 00:11:57 UTC
Comment on attachment 4768 [details]
git-am format patch for 3.4.x.

Yep, this needs to be in 3.4. Thanks, Jeremy!
Comment 3 Karolin Seeger 2009-10-02 05:17:52 UTC
Jeremy, the patch does not apply to current v3-4-test.
Could you provide au updated version, please?

Thanks!
Comment 4 Jeremy Allison 2009-10-09 12:11:36 UTC
Created attachment 4827 [details]
git-am patch for 3.4.3

This one should apply cleanly. Sorry for the problem.
Jeremy.
Comment 5 Jeremy Allison 2009-10-09 12:12:13 UTC
Re-assigning to Karolin for inclusion in 3.4.3.
Jeremy.
Comment 6 Karolin Seeger 2009-10-12 03:48:44 UTC
Pushed to v3-4-test.
Closing out bug report.

Thanks!